Net::POP3(3pm)

NAME
Net::POP3 - Post Office Protocol 3 Client class (RFC1081)

SYNOPSIS

    use Net::POP3;

    # Constructors
    $pop = Net::POP3->new('pop3host');
    $pop = Net::POP3->new('pop3host', Timeout => 60);

DESCRIPTION
This module implements a client interface to the POP3 protocol, enabling a perl5 application to talk to POP3 servers. This documentation assumes that you are familiar with the POP3 protocol described in RFC1081.

A new Net::POP3 object must be created with the new method. Once this has been done, all POP3 commands are accessed via method calls on the object.

EXAMPLES

    Need some small examples in here :-)

CONSTRUCTOR
This is the constructor for a new Net::POP3 object. HOST is the name of the remote host to which a POP3 connection is required.

If HOST is not given, then the POP3_Host specified in Net::Config will be used.

OPTIONS are passed in a hash like fashion, using key and value pairs. Possible options are:

Timeout - Maximum time, in seconds, to wait for a response from the POP3 server (default: 120)

Debug - Enable debugging information

METHODS
Unless otherwise stated all methods return either a true or false value, with true meaning that the operation was a success. When a method states that it returns a value, failure will be returned as undef or an empty list. Send the USER command. Send the PASS command. Returns the number of messages in the mailbox. Send both the the USER and PASS commands. If PASS is not given the Net::POP3 uses Net::Netrc to lookup the password using the host and username. If the username is not specified then the current user name will be used.

Returns the number of messages in the mailbox. Get the header and the first NUMLINES of the body for the message MSGNUM. Returns a reference to an array which contains the lines of text read from the server. If called with an argument the list returns the size of the message in octets.

If called without arguments a reference to a hash is returned. The keys will be the MSGNUM's of all undeleted messages and the values will be their size in octets. Get the message MSGNUM from the remote mailbox. Returns a reference to an array which contains the lines of text read from the server. Returns the highest MSGNUM of all the messages accessed. Returns an array of two elements. These are the number of undeleted elements and the size of the mbox in octets. Mark message MSGNUM to be deleted from the remote mailbox. All messages that are marked to be deleted will be removed from the remote mailbox when the server connection closed. Reset the status of the remote POP3 server. This includes reseting the status of all messages to not be deleted. Quit and close the connection to the remote POP3 server. Any messages marked as deleted will be deleted from the remote mailbox.

NOTES
If a Net::POP3 object goes out of scope before quit method is called then the reset method will called before the connection is closed. This means that any messages marked to be deleted will not be.

SEE ALSO
the Net::Netrc manpage the Net::Cmd manpage

AUTHOR
Graham Barr <gbarr@ti.com>

COPYRIGHT
Copyright (c) 1995-1997 Graham Barr. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.